> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Q&A to the AI store

Creates a new question-answer pair in the AI store. Multiple question variations can be provided for the same answer to improve matching. The content is formatted and stored for AI retrieval.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /organization/rag/sources/questions
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rag/sources/questions:
    post:
      tags:
        - RAG (AI data)
      summary: Add Q&A to the AI store
      description: >-
        Creates a new question-answer pair in the AI store. Multiple question
        variations can be provided for the same answer to improve matching. The
        content is formatted and stored for AI retrieval.
      operationId: addAIQuestionSource
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                questions:
                  type: array
                  description: Array of question variations (max 250 chars each).
                  items:
                    type: string
                    maxLength: 250
                  example:
                    - How do I reset my password?
                    - What's the process for password recovery?
                answer:
                  type: string
                  maxLength: 5000
                  description: Answer to the questions.
                  example: >-
                    To reset your password, click on the "Forgot Password" link
                    on the login page...
              required:
                - questions
                - answer
      responses:
        '202':
          description: Q&A source queued for processing.
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid input or size limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````